Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Use of Symbol breaks IE and older browser support #254

Closed
onexdata opened this Issue Jul 13, 2018 · 2 comments

Comments

Projects
None yet
3 participants
@onexdata
Copy link

onexdata commented Jul 13, 2018

I didn't see this issue in 4.1.1, but it looks like 4.2.0 uses Symbol, which is certainly not compatible with the older browsers listed on regexp.com (Internet Explorer 5.5+, Firefox 1.5+, Chrome, Safari 3+, and Opera 11+)

@slevithan

This comment has been minimized.

Copy link
Owner

slevithan commented Jul 13, 2018

xregexp.com is currently out of date and only lists pre-v4 versions at http://xregexp.com/history/. This is on me to upgrade since the documentation is not currently open source. :'( I aim to fix this but am not able to provide a timeline at this time.

XRegExp moved to only support ES5+ browsers in v4.0.0.

Looks like use of Symbol.iterator in xregexp-all.js came from @josephfrazier's 8c02a0a and is indeed new in v4.2.0. This might have been unintentional. @josephfrazier, what do you think is the best path forward for this?

@josephfrazier

This comment has been minimized.

Copy link
Collaborator

josephfrazier commented Jul 15, 2018

Thanks for tracking down that commit, it looks like #238 also had changes which introduced Symbol to xregexp-all.js. See #255 for a potential fix.

GerHobbelt added a commit to GerHobbelt/xregexp that referenced this issue Sep 2, 2018

revert last few commits and merge after code inspection: we don't car…
…e about antique platforms where those polyfills are needed! This is the commits list that's being reverted here:

SHA-1: 7a16887

* Polyfill Symbol with @babel/plugin-transform-runtime

This should fix slevithan#254

See https://babeljs.io/docs/en/babel-plugin-transform-runtime

SHA-1: e83ce58

* Merge remote-tracking branch 'remotes/slevithan-original/master'

# Conflicts:
#	.babelrc
#	package-lock.json
#	package.json

SHA-1: cce9e7c

* regenerate library files
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
You can’t perform that action at this time.